1. Advertising
    y u no do it?

    Advertising (learn more)

    Advertise virtually anything here, with CPM banner ads, CPM email ads and CPC contextual links. You can target relevant areas of the site and show ads based on geographical location of the user if you wish.

    Starts at just $1 per CPM or $0.10 per CPC.

Couldn't install new theme in Joomla! Why is that?

Discussion in 'Joomla' started by dess71, Apr 19, 2013.

  1. #1
    It is the first ever Joomla site I created but I couldn't install a theme I downloaded from somewhaere on the net. I watched a video in youtube and do exactly then error message "Error! Could not find a Joomla! XML setup file in the package."

    I tried 3 themes from different sources and the result is the same. Anyone?
    dess71, Apr 19, 2013 IP
  2. Maestroc

    Maestroc Active Member

    Messages:
    115
    Likes Received:
    1
    Best Answers:
    0
    Trophy Points:
    73
    #2
    Most likely it is a compatibility issue. Are you sure that you are using a template that is compatible with the version of Joomla you are running? If you have a 2.5 site 1.5 templates won't work. Sometimes 3.0 templates may not work with 2.5 sites.

    Other than that there is also the possibility that the file needs to be unzipped before you upload and install. Sometimes developers package multiple versions of a component, template, or module in one big zip file and you have to unzip and then use the one that matches your joomla version.

    If you are sure that it is neither of these problems then unzip the package and upload them all to your /templates folder. Then go into extensions->Discover and tell it to discover anything missing. It will look through the folders and find anything that has not been properly installed.

    If that doesn't work then my advice would be to find a different template. :)
    Maestroc, Apr 19, 2013 IP
    ryan_uk likes this.
  3. amritdhakalad

    amritdhakalad Member

    Messages:
    86
    Likes Received:
    1
    Best Answers:
    0
    Trophy Points:
    40
    #3
    This happened to me lots of times and it only happened because I forgot to unzip the file that I got from the template provider. So, just unzip and upload the correct archive.
    amritdhakalad, Apr 19, 2013 IP
  4. dess71

    dess71 Active Member

    Messages:
    726
    Likes Received:
    6
    Best Answers:
    0
    Trophy Points:
    88
    #4
    There is no extensions->Discover
    I uploaded theme to tempates folder unzipped it but couldn't find discover so It couldn't work forme. Sorry guys I have to revert to WP or HTML. I will learn Jomla another time.
    dess71, Apr 20, 2013 IP
  5. Maestroc

    Maestroc Active Member

    Messages:
    115
    Likes Received:
    1
    Best Answers:
    0
    Trophy Points:
    73
    #5
    Sorry, I should have said Extensions -> Extension Manager then on that page click Discover.

    If you don't have that option you must be running Joomla 1.5 in which case THAT is your problem. :) Upgrade to Joomla 2.5 or 3.0 then try installing a template that is compatible with that version.
    Maestroc, Apr 20, 2013 IP
  6. dess71

    dess71 Active Member

    Messages:
    726
    Likes Received:
    6
    Best Answers:
    0
    Trophy Points:
    88
    #6
    Thank you. I guess the version is 1.5 b/c the installer fantastico says so. And as you said the version can be the problem but I have to learn Joomla when I have the time.
    dess71, Apr 20, 2013 IP
  7. Maestroc

    Maestroc Active Member

    Messages:
    115
    Likes Received:
    1
    Best Answers:
    0
    Trophy Points:
    73
    #7
    If you do choose to try Joomla again be sure to upgrade or install version 3.0 instead of the 1.5 version that Fantastico provides. 1.5 is no longer supported with security releases and you can't find many good components for it easily any more.
    Maestroc, Apr 20, 2013 IP
  8. eurovps_klaus

    eurovps_klaus Peon

    Messages:
    6
    Likes Received:
    2
    Best Answers:
    0
    Trophy Points:
    3
    #8
    In the case that you are using an old version of Joomla, you can try checking this chart to give you an idea of how the joomla release cycle works:
    [​IMG]
    eurovps_klaus, Apr 20, 2013 IP
    sarahk likes this.
  9. ITjerky

    ITjerky Greenhorn

    Messages:
    7
    Likes Received:
    0
    Best Answers:
    0
    Trophy Points:
    21
    #9
    UnZip First
    ITjerky, Apr 20, 2013 IP
  10. dess71

    dess71 Active Member

    Messages:
    726
    Likes Received:
    6
    Best Answers:
    0
    Trophy Points:
    88
    #10
    Good but wouldn't it be nice if there was a link LIKE in wordpress that notifies you the version and prompts you to upgrade to the latest software?
    But in general I believe WP is more user friendly.
    dess71, Apr 22, 2013 IP
  11. Maestroc

    Maestroc Active Member

    Messages:
    115
    Likes Received:
    1
    Best Answers:
    0
    Trophy Points:
    73
    #11
    The newest versions of Joomla (2.5 and later) all have automatic update checking built in. They notify you when a Joomla system update is available and can also let you know when components need updating if the maker of the component chooses to use the update feature.

    The old Joomla 1.5 version that Fantastico was offering you did not have the update checker as part of the CMS software.
    Maestroc, Apr 22, 2013 IP